# Created by pyp2rpm-3.3.3
%global pypi_name gcs-oauth2-boto-plugin

Name:           python-%{pypi_name}
Version:        2.5
Release:        %mkrel 2
Summary:        Auth plugin allowing use the use of OAuth 2.0 credentials for Google Cloud Storage in the Boto library
Group:          Development/Python
License:        Apache 2.0
URL:            https://developers.google.com/storage/docs/gspythonlibrary
Source0:        https://files.pythonhosted.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(boto) >= 2.29.1
BuildRequires:  python3dist(freezegun)
BuildRequires:  python3dist(google-reauth) >= 0.1.0
BuildRequires:  python3dist(httplib2) >= 0.8
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(oauth2client) >= 2.2.0
BuildRequires:  python3dist(pyopenssl) >= 0.13
BuildRequires:  python3dist(retry-decorator) >= 1.0.0
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six) >= 1.12.0
BuildRequires:  python3dist(socksipy-branch) >= 1.01

%description
Python application whose purpose is to behave as an auth plugin for the boto
auth plugin framework for use with OAuth 2.0 credentials for the Google Cloud
Platform. This plugin is compatible with both user accounts and service
accounts, and its functionality is essentially a wrapper around oauth2client
with the addition of automatically caching tokens for the machine in a thread-
and process-safe fashion.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(boto) >= 2.29.1
Requires:       python3dist(google-reauth) >= 0.1.0
Requires:       python3dist(httplib2) >= 0.8
Requires:       python3dist(oauth2client) >= 2.2.0
Requires:       python3dist(pyopenssl) >= 0.13
Requires:       python3dist(retry-decorator) >= 1.0.0
Requires:       python3dist(six) >= 1.12.0
Requires:       python3dist(socksipy-branch) >= 1.01

%description -n python3-%{pypi_name}
Python application whose purpose is to behave as an auth plugin for the boto
auth plugin framework for use with OAuth 2.0 credentials for the Google Cloud
Platform. This plugin is compatible with both user accounts and service
accounts, and its functionality is essentially a wrapper around oauth2client
with the addition of automatically caching tokens for the machine in a thread-
and process-safe fashion.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf gcs_oauth2_boto_plugin.egg-info/

# Loosen reqs
sed -i -e 's,SocksiPy-branch==,SocksiPy-branch>=,' setup.py

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/gcs_oauth2_boto_plugin
%{python3_sitelib}/gcs_oauth2_boto_plugin-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 2.5-2.mga8
+ Revision: 1541122
- Mageia 8 Mass Rebuild

* Fri Dec 20 2019 wally <wally> 2.5-1.mga8
+ Revision: 1469143
- imported package python-gcs-oauth2-boto-plugin

